> For the complete documentation index, see [llms.txt](https://docs.wpjobopenings.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.wpjobopenings.com/developers/hooks/filters/meta-data.md).

# Meta Data

### **`awsm_job_post_status`**

Filters the status array for submit meta box for job openings.

This hook is available since Version 2.1.0

#### **Parameters**

* **$status**

  (array) An array containing Job status.

#### **Source code**

File: *`wp-job-openings.php`*

### **`awsm_jobs_applicant_meta`**

Modify applicant meta details list.

#### **Parameters**

* **$post\_id**

  (int) Current post ID.

#### **Source code**

File: *`admin/class-awsm-job-openings-meta.php`*

### **`awsm_jobs_applicant_meta_details_list`**

Modify applicant meta details list.

#### **Parameters**

* **$list**

  (string) HTML content.
* **$applicant\_meta**

  (array) An array containing the applicant meta details
* **$post\_id**

  (int) Current post ID

#### **Source code**

File: *`admin/class-awsm-job-openings-meta.php`*

### **`awsm_applicant_photo`**

For modifying data for applicant photo

#### **Parameters**

* **$applicant\_email**

  (string) The applicant email.

#### **Source code**

File: *`wp-job-openings.php, admin/templates/meta/applicant-single.php`*

### **`awsm_job_status_mb_data_rows`**

Filters job status meta box content rows.

This filter is available since Version 1.6.0

#### **Parameters**

* **$data\_rows**

  (array) An array containing rows data.
* **$job\_id**

  (int) The Job ID.
* **$post\_id**

  (int) Current Post ID (Job or Application).

#### **Source code**

File:  *`admin/templates/meta/job-status.php`*

### **`awsm_jobs_date_format`**

Filters the date format used in WP Job Openings.

This filter is available since Version 2.1.0

#### **Parameters**

* **$format**

  (string) The date format.
* **$id**

  (string) Unique ID to filter the date format.

#### **Source code**

File:  *`inc/helper-functions.php`*

### **`awsm_jobs_time_format`**

Filters the time format used in WP Job Openings.

This filter is available since Version 2.1.0

#### **Parameters**

* **$format**

  (string) The time format.
* **$id**

  (string) Unique ID to filter the time format.

#### **Source code**

File:  *`inc/helper-functions.php`*

### `awsm_jobs_wp_editor_settings`

Filters the WP Editor settings.

This filter is available since Version 3.3.0\
\
**Parameters**

* **$settings**\
  The WP Editor settings array.
* **$editor\_id**\
  (string) The Editor ID.

**Source code**

File : *`inc/helper-functions.php`*

### `awsm_job_expired_content`

Filters the expired job content.

This filter is available since Version 3.0.0

**Parameters**

* **$content**\
  (string) The HTML content.
* **$msg**\
  (string) Expired message.
* **$before** \
  (string) The content before the expired message.
* **$after** \
  (string) The content after the expired message.

**Source code**

File : *`inc/template-functions.php`*

<br>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.wpjobopenings.com/developers/hooks/filters/meta-data.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
